interface SequenceObject {
    path: string;
    hash: string;
    name: string;
}
interface VideoObject {
    path: string;
    hash: string;
    name: string;
}
interface ImageObject {
    path: string;
    hash: string;
    name: string;
}
export declare class Files {
    static exists(path: string): Promise<boolean>;
    static enumerateSequences(path: string): Promise<SequenceObject[]>;
    static enumerateVideos(path: string): Promise<VideoObject[]>;
    static enumerateSequence(path: string): Promise<ImageObject[]>;
}
export type { SequenceObject, VideoObject, ImageObject };
